ropeimpl.h File Reference

Go to the source code of this file.

## Namespaces

namespace | __gnu_cxx

## Functions

template<class _CharT , class _Traits >
void | __gnu_cxx::_Rope_fill (basic_ostream< _CharT, _Traits > &__o, size_t __n)
template<class _CharT >
bool | __gnu_cxx::_Rope_is_simple (_CharT *)
bool | __gnu_cxx::_Rope_is_simple (char *)
bool | __gnu_cxx::_Rope_is_simple (wchar_t *)
template<class _Rope_iterator >
void | __gnu_cxx::_Rope_rotate (_Rope_iterator __first, _Rope_iterator __middle, _Rope_iterator __last)
template<class _CharT , class _Traits , class _Alloc >
basic_ostream< _CharT, _Traits > & | __gnu_cxx::operator<< (basic_ostream< _CharT, _Traits > &__o, const rope< _CharT, _Alloc > &__r)
void | __gnu_cxx::rotate (_Rope_iterator< char, __STL_DEFAULT_ALLOCATOR(char)> __first, _Rope_iterator< char, __STL_DEFAULT_ALLOCATOR(char)> __middle, _Rope_iterator< char, __STL_DEFAULT_ALLOCATOR(char)> __last)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <ext/rope>.

Definition in file ropeimpl.h.